org.richfaces.validator

## Class GraphValidatorState

- java.lang.Object
- - org.richfaces.validator.GraphValidatorState

-     public final class GraphValidatorState
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `STATE_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphValidatorState(Object cloned)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Object` | `getActiveClone(javax.faces.context.FacesContext context, Object base)`
    `Object` | `getCloned()`
    `static GraphValidatorState` | `getState(javax.faces.context.FacesContext context, Object base)`
    `static Map<Object,GraphValidatorState>` | `getStateMap(javax.faces.context.FacesContext context)`
    `boolean` | `isActive()`
    `void` | `setActive(boolean active)`
    `static void` | `setState(javax.faces.context.FacesContext context, Object base, GraphValidatorState state)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATE_ATTRIBUTE

          public static final String STATE_ATTRIBUTE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GraphValidatorState

          public GraphValidatorState(Object cloned)

  - ### Method Detail

    - #### isActive

          public boolean isActive()

      Returns:
        the active

    - #### setActive

          public void setActive(boolean active)

      Parameters:
        `active` - the active to set

    - #### getCloned

          public Object getCloned()

      Returns:
        the cloned

    - #### getActiveClone

          public static Object getActiveClone(javax.faces.context.FacesContext context,
                                              Object base)

    - #### getState

          public static GraphValidatorState getState(javax.faces.context.FacesContext context,
                                                     Object base)

    - #### setState

          public static void setState(javax.faces.context.FacesContext context,
                                      Object base,
                                      GraphValidatorState state)

    - #### getStateMap

          public static Map<Object,GraphValidatorState> getStateMap(javax.faces.context.FacesContext context)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.